org.apache.ignite.internal.processors.cache.persistence.pagemem

## Interface ReplacedPageWriter

All Known Implementing Classes:
  DelayedDirtyPageWrite

    public interface ReplacedPageWriter

Flush (write) dirty page implementation for freed page during page replacement. When possible, will be called by removePageForReplacement().

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writePage(FullPageId fullPageId, ByteBuffer byteBuf, int tag)`

### Method Detail

#### writePage

    void writePage(FullPageId fullPageId,
                   ByteBuffer byteBuf,
                   int tag)
            throws IgniteCheckedException

Parameters:
  `fullPageId` - Full page ID being evicted.
  `byteBuf` - Buffer with page data.
  `tag` - partition update tag, increasing counter.
Throws:
  `IgniteCheckedException` - if page write failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018